;;; bandali-ebdb.el --- bandali's EBDB configuration  -*- lexical-binding: t; -*-

;; Copyright (C) 2018-2020  Amin Bandali

;; Author: Amin Bandali <bandali@gnu.org>
;; Keywords: tools

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; My EBDB setup.

;;; Code:

(use-package ebdb
  :demand
  :after gnus
  :bind (:map gnus-group-mode-map ("e" . ebdb))
  :config
  (setq ebdb-sources (b/var "ebdb"))
  (with-eval-after-load 'swiper
    (add-to-list 'swiper-font-lock-exclude 'ebdb-mode t)))

(use-package ebdb-com
  :after ebdb)

(use-package ebdb-complete
  :after ebdb
  :config
  ;; (setq ebdb-complete-mail 'capf)
  (ebdb-complete-enable))

(use-package ebdb-message
  :demand
  :after ebdb)

;; (use-package company-ebdb
;;   :config
;;   (defun company-ebdb--post-complete (_) nil))

(use-package ebdb-gnus
  :demand
  :after ebdb
  :custom
  (ebdb-gnus-window-size 0.3))

(use-package ebdb-mua
  :demand
  :after ebdb
  :custom (ebdb-mua-pop-up t))

;; (use-package ebdb-message
;;   :after ebdb)

;; (use-package ebdb-vcard
;;   :after ebdb)

(provide 'bandali-ebdb)
;;; bandali-ebdb.el ends here
